TSVCONNSSLVERIFYCTXGET(3ts)

NAME
TSVConnSslVerifyCTXGet - TSVConnSslVerifyCTXGet API function

SYNOPSIS

            #include <ts/ts.h>

    TSSslVerifyCTX TSVConnSslVerifyCTXGet(TSVConn svc)

DESCRIPTION

Get the TSSslVerifyCTX object that corresponds to the certificates being verified for the SSL connection corresponding to svc.

This value is only meaningful during the peer certificate verification callbacks, specifically during callbacks invoked from the TS_SSL_VERIFY_SERVER_HOOK and TS_SSL_VERIFY_CLIENT_HOOK.

TYPES

    type TSSslVerifyCTX
        The SSL object that corresponds to the peer certificates being verified. This is an opaque type that can be cast to the appropriate implementation type (:code X509_STORE_CTX * for the OpenSSL library).

COPYRIGHT
2026, dev@trafficserver.apache.org